<?php
/*
 * simple AJAX Proxy written by Stephapn Pampel (StephanPampel@gmail.com)
 *
 * Simple PHP Proxy for Cross Domain AJAX Request.
 * 		- Supports GET and XML POST Requests
 * 		- Tested with jQuery 1.6
 */

/*******************
 *  jQuery Example *
 ******************* 
 *  var	proxyURI = "http://localhost/proxy.php";// url of this file
 *	var webservicePath = "/photos"; 			// starting with a slash
 *	var parameter = "?id=3"; 					// starting with a questionmark
 *
 *  // How to GET data from webesrvice
 * 	$.get(
 * 		proxyURI + webservicePath + parameter,
 * 		function(data){
 *  		alert("Data Loaded: " + data);
 *  	}
 *  );
 * 
 *  // How to POST data to the webservice
 *  // Do not use jQuery.post() since the standard content-type may 
 *  // NOT match the content-type of your data. This may result in rejection 
 *  // of your request by the server. Use jQuery.ajax() instead and specify the
 *  // content-type manually.
 * 	$.ajax({
 *		type : "POST",
 *		url : proxyURI + webservicePath + parameter,
 *		data : '<photo title="newTitle"></photo>',
 *		success : 
 *			function(result) {
 *				alert(result);
 *			},
 *		contentType : "text/xml"
 *	});
 */

// Please configure your Target Server
$server = 'http://localhost/webservice';

// Determine Target Path
list(,$path)  = explode($_SERVER['SCRIPT_NAME'], $_SERVER['PHP_SELF']);

// prepare Request
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $server.$path.'?'.$_SERVER['QUERY_STRING']);
curl_setopt($ch, CURLOPT_HEADER, false);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

if ($_SERVER['REQUEST_METHOD'] == "POST")
{
    curl_setopt($ch, CURLOPT_HTTPHEADER, array('Content-type: '.$_SERVER['CONTENT_TYPE']));
    curl_setopt($ch, CURLOPT_POST, true);
    curl_setopt($ch, CURLOPT_POSTFIELDS, file_get_contents("php://input"));
}

// send request
$data = curl_exec($ch);

// return result
header('Content-type: '.curl_getinfo($ch, CURLINFO_CONTENT_TYPE));
echo $data;
curl_close($ch);
?>